> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 論文を確認または読む

IDを指定して論文のメタデータを確認したり、`query` パラメータを追加して、質問に最も関連性の高い本文の抜粋を読んだりできます。

利用できるIDには、標準の `paperId` 値と、ソース固有の `primaryId` 値 (例: `arxiv:1706.03762`) があります。

ワークフローの概要については、[Research Index ガイド](/ja/features/research)を参照してください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json GET /search/research/papers/{id}
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /search/research/papers/{id}:
    get:
      tags:
        - Research
      summary: 論文を確認または読む
      operationId: researchGetPaper
      parameters:
        - description: '論文参照: 正規 paperId またはソース固有の primaryId。'
          examples:
            paperId:
              summary: 正規 paperId
              value: '2014215642691656232'
            sourceId:
              summary: ソース固有の primaryId
              value: arxiv:2105.05233
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: 指定すると、この question に最も一致する全文パッセージ上位を返します。省略すると、メタデータのみを確認します。
          in: query
          name: query
          required: false
          schema:
            minLength: 1
            type: string
        - description: 読み取りモードのパッセージ数。query が指定されている場合にのみ有効です。
          in: query
          name: k
          required: false
          schema:
            default: 4
            maximum: 50
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              example:
                paper:
                  abstract: >-
                    We show that diffusion models can achieve image sample
                    quality superior to the current state-of-the-art generative
                    models...
                  authors: Prafulla Dhariwal, Alexander Nichol
                  categories:
                    - cs.LG
                  createdDate: Wed, 11 May 2021 18:01:01 GMT
                  ids:
                    arxiv:
                      - '2105.05233'
                  paperId: '2014215642691656232'
                  title: Diffusion Models Beat GANs on Image Synthesis
                  updateDate: '2021-06-01'
                success: true
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ResearchPaperMetadataResponse'
                  - $ref: '#/components/schemas/ResearchReadPaperResponse'
          description: 論文メタデータ、または読み取りモードのパッセージ。
        '400':
          description: 無効なリクエスト
        '401':
          description: bearer token がないか、無効です
        '404':
          description: 論文が見つかりません
        '429':
          description: レート制限を超過しました
        '500':
          description: 内部サーバーエラー
      security:
        - bearerAuth: []
components:
  schemas:
    ResearchPaperMetadataResponse:
      properties:
        paper:
          $ref: '#/components/schemas/ResearchPaperMetadata'
        success:
          type: boolean
      required:
        - success
        - paper
      type: object
    ResearchReadPaperResponse:
      properties:
        paper:
          $ref: '#/components/schemas/ResearchPaperMetadata'
        paperId:
          type: string
        passages:
          items:
            $ref: '#/components/schemas/ResearchPassage'
          type: array
        query:
          type: string
        success:
          type: boolean
      required:
        - success
        - paper
        - paperId
        - query
        - passages
      type: object
    ResearchPaperMetadata:
      properties:
        abstract:
          type: string
        authors:
          description: 著者名をカンマ区切りで連結した文字列。
          type: string
        categories:
          description: 論文カテゴリ。
          items:
            type: string
          type: array
        createdDate:
          description: 元の作成日を表す文字列。
          type: string
        ids:
          $ref: '#/components/schemas/ResearchIdMap'
        paperId:
          description: 正規の論文 ID。
          type: string
        title:
          type: string
        updateDate:
          description: 最終更新日を表す文字列。
          type: string
      required:
        - paperId
        - title
        - abstract
      type: object
    ResearchPassage:
      properties:
        score:
          description: そのパッセージの dense 類似度スコア。
          format: double
          type: number
        text:
          description: 本文内のパッセージテキスト。Markdown テーブルを含む場合があります。
          type: string
      required:
        - text
        - score
      type: object
    ResearchIdMap:
      additionalProperties:
        items:
          type: string
        type: array
      description: 名前空間ごとにグループ化されたソース識別子。
      example:
        arxiv:
          - '2105.05233'
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````